LINUX.ORG.RU

Странные ошибки при закрытии libGDX приложения

 ,


0

1

Не знаю, как даже это гуглить.

Приложение почти дефолт, который генерится их сетапом. Открываю - норм. Закрываю окно - вываливается ошибки.

21:02:18: Executing task 'DesktopLauncher.main()'...

Executing tasks: [DesktopLauncher.main()]

Configuration on demand is an incubating feature.
WARNING: Configuration 'compile' is obsolete and has been replaced with 'implementation' and 'api'.
It will be removed at the end of 2018. For more information see: http://d.android.com/r/tools/update-dependency-configurations.html
warning: [options] bootstrap class path not set in conjunction with -source 1.6
1 warning
:core:compileJava
:core:processResources NO-SOURCE
:core:classes
:core:jar
:desktop:compileJava UP-TO-DATE
:desktop:processResources NO-SOURCE
:desktop:classes UP-TO-DATE
:desktop:DesktopLauncher.main() FAILED

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':desktop:DesktopLauncher.main()'.
> Process 'command 'C:/Program Files/Java/jdk1.8.0_202/bin/java.exe'' finished with non-zero exit value -1

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.

* Get more help at https://help.gradle.org

Deprecated Gradle features were used in this build, making it incompatible with Gradle 5.0.
See https://docs.gradle.org/4.6/userguide/command_line_interface.html#sec:command_line_warnings

BUILD FAILED in 9s
4 actionable tasks: 3 executed, 1 up-to-date
21:02:28: Task execution finished 'DesktopLauncher.main()'.

В чем дело? Что ему надо?

★★★★★

Не обращай внимание, походу грэдл. Собери дистрибьюшен и запускай через батник. Ничего не будет.

ii8_ ★★★★ ()

Твоё приложение завершается с кодом отличным от 0 и Gradle расценивает это, как ошибку.

Legioner ★★★★★ ()
Ответ на: комментарий от bvn13

Gradle думает иначе:

Process 'command 'C:/Program Files/Java/jdk1.8.0_202/bin/java.exe" finished with non-zero exit value -1

Legioner ★★★★★ ()

гугли build.gradle+compile+implementation

конфиги немного обновились, а их скрипт сгенерил их в старом формате. я всех подробностей не знаю. на стековерфлоу по этим тегам подробно разжевано будет

der_looser ★★ ()
Ответ на: комментарий от der_looser

Спасибо тебе, добрый человек.

https://stackoverflow.com/questions/44493378/whats-the-difference-between-imp...

Just replace:

* compile with implementation
* testCompile with testImplementation
* debugCompile with debugImplementation
* androidTestCompile with androidTestImplementation
* compileOnly is still valid. It was added in 3.0 to replace * provided and not compile. (provided introduced when Gradle didn't have a configuration name for that use-case and named it after Maven's provided scope.)
bvn13 ★★★★★ ()
Последнее исправление: bvn13 (всего исправлений: 1)
Ответ на: комментарий от bvn13

проверь во всех ли конфигах поменял. libgdx проект на модули разбивает. в каждом вроде такой конфиг был. поменять надо везде

еще посмотри не прописано ли где-то в сборочных скриптах совместимости с жава 1.6. наверно оно нахер не нужно

дальше проверь что творится в методе DesktopLauncher.main(). вроде он был какой-то совсем простой, но может что-то поменялось со времен версии 1.0

der_looser ★★ ()
Ответ на: комментарий от der_looser

в том и дело, что все поменял.

но еще во всех окнах присутствует надпись «Gradle project sync failed. Basic functionality (e.g. editing, debugging) will not work properly.» С этим тоже хз как бороться. Весь гугл уповает на то, что нужно доставить нужную версию андроид СДК, но ни одна не исправила ситуацию

bvn13 ★★★★★ ()
Последнее исправление: bvn13 (всего исправлений: 1)
Ответ на: комментарий от bvn13

достаточно одной версии sdk - той, которая указана в compileSdkVersion. ну и buildToolsVersion должны стоять указанной версии. но так-то это все зависимости для андроид порта, которые по идее нахрен не нужны, если ты только под десктоп делаешь. но тут одно дело здравый смысл, и совсем другое творческий порыв авторов libgdx.

der_looser ★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.